Bug 149141 - popt needs to be broken up into popt and popt-devel
popt needs to be broken up into popt and popt-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 02:15 EST by Nathan G. Grennan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 11:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2005-02-19 02:15:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5) Gecko/20050109 Galeon/1.3.19

Description of problem:
I am running a x86_64 system and trying to compile a package that depends on popt. With popt i386 and x86_64 both installed I can't because what should be a seperate -devel isn't. So I have to rpm -e --nodeps popt.i386, compile, and then reinstall popt i386.

Version-Release number of selected component (if applicable):
popt-1.9.1-21

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql popt | grep '\.h'
  

Actual Results:  /usr/include/popt.h

Expected Results:  Nothing

Additional info:

        libpopt.so.0 is needed by (installed) ORBit2-2.12.0-3.i386
        libpopt.so.0 is needed by (installed) libbonobo-2.8.0-2.i386
        libpopt.so.0 is needed by (installed) GConf2-2.8.1-1.i386
        libpopt.so.0 is needed by (installed) gnome-vfs2-2.8.2-8.i386
        libpopt.so.0 is needed by (installed) libgnome-2.8.0-2.i386
        libpopt.so.0 is needed by (installed) libbonoboui-2.8.0.99cvs20040929-2.i386
        libpopt.so.0 is needed by (installed) libgnomeui-2.8.0-1.i386
        libpopt.so.0 is needed by (installed) evolution-data-server-1.0.2-3.i386
        libpopt.so.0 is needed by (installed) samba-common-3.0.10-1.fc3.i386
        libpopt.so.0 is needed by (installed) libgnomeprint22-2.8.0-2.i386
        libpopt.so.0 is needed by (installed) librsvg2-2.8.1-1.i386
        libpopt.so.0 is needed by (installed) eel2-2.8.1-2.i386
        libpopt.so.0 is needed by (installed) gnome-desktop-2.8.0-3.i386
        libpopt.so.0 is needed by (installed) nautilus-2.8.1-4.i386
        libpopt.so.0 is needed by (installed) nautilus-cd-burner-2.8.3-6.i386
        libpopt.so.0 is needed by (installed) libcdio-0.70-1.i386
        libpopt.so.0 is needed by (installed) hal-0.4.7-1.FC3.i386
        libpopt.so.0 is needed by (installed) firefox-1.0-2.fc3.i386
        libpopt.so.0 is needed by (installed) openoffice.org-1.1.3-6.5.0.fc3.i386
Comment 1 Jeff Johnson 2005-02-20 13:53:20 EST
I disagree. popt been packaged like this for years and years and years.
Comment 2 Nathan G. Grennan 2005-02-20 14:25:01 EST
So what if it has been that way for years and years. It isn't the
standard way, and at this point it causes a problem with multi-arch
systems.
Comment 3 Nathan G. Grennan 2005-02-20 16:00:27 EST
Deleting the /usr/lib/libpopt.la fixes the compiling issue.

--- /usr/lib/libpopt.la 2004-11-01 18:54:28.000000000 -0800
+++ /usr/lib64/libpopt.la       2004-11-01 18:57:43.000000000 -0800
@@ -32,4 +32,4 @@
 dlpreopen=''

 # Directory that this library needs to be installed in:
-libdir='/usr/lib'
+libdir='/usr/lib64'
Comment 4 Jeff Johnson 2005-02-20 23:14:54 EST
Adding libdir=/usr/lib64 to /usr/lib/libpopt.la in the ix86
package is not the right fix for this problem.

Nor is deleting /usr/lib/libpopt.la. The ix86 packages
cannot be maintained at that level of multilib
awareness.
Comment 5 Nathan G. Grennan 2005-02-21 10:59:50 EST
I posted the diff to point out the difference between the two .la
files. The real fix is to make a -devel of popt, as originally
requested. Hence the two seperate .la files will be not installed at
once without breaking applications that need the 32bit .so file while
others need the 64bit .so file.
Comment 6 Jeff Johnson 2005-02-21 11:51:19 EST
I disagree the need for popt-devel.
Comment 7 Matthew Daniel 2005-04-14 11:59:31 EDT
(In reply to comment #6)
> I disagree the need for popt-devel.

Then what is the supported way of getting around this issue?

Note You need to log in before you can comment on or make changes to this bug.